Bug 678891 - Review Request: lcd4linux - Display system state on an external LCD display
Summary: Review Request: lcd4linux - Display system state on an external LCD display
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 16:28 UTC by Hans de Goede
Modified: 2011-03-04 10:03 UTC (History)
4 users (show)

Fixed In Version: lcd4linux-0.11-0.2.svn1143.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-04 09:56:39 UTC
tla: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
build.log (3.45 KB, text/plain)
2011-02-21 10:55 UTC, Tim Lauridsen
no flags Details

Description Hans de Goede 2011-02-20 16:28:03 UTC
Spec URL: http://people.fedoraproject.org/~jwrdegoede/lcd4linux.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/lcd4linux-0.11-0.1.svn1143.fc15.src.rpm
Description:
LCD4Linux is a small program that grabs information from the kernel
and some subsystems and displays it on an external liquid crystal display.

Note that this package requires libst2205, and serdisplib which are currently both under review as well:
678887 - Review Request: libst2205 - Library for accessing the display of hacked st2205 photo frames
678889 - Review Request: serdisplib - Library to drive serial displays with built-in controllers

Comment 1 Tim Lauridsen 2011-02-20 18:02:22 UTC
I will review this bug

Comment 2 Sergio Belkin 2011-02-20 19:33:08 UTC
Hi Hans, I am (still) not member of packaging group, but I think that  serdisplib-devel is missing from BuildRequires, ok, currently is still not on fedora repos, however that should be there (in BuildRequires), shouldn't it?

Take a  look http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires

Have a nice day

Comment 3 Hans de Goede 2011-02-21 08:17:59 UTC
(In reply to comment #2)
> Hi Hans, I am (still) not member of packaging group, but I think that 
> serdisplib-devel is missing from BuildRequires,

Take a closer look, I guess you've read over it, as it is actually there already.

Comment 4 Tim Lauridsen 2011-02-21 10:55:31 UTC
Created attachment 479867 [details]
build.log

Comment 5 Tim Lauridsen 2011-02-21 10:58:28 UTC
I have some trouble building the package

I have install the serdisplib-devel and libst2205-devel and other deps

But I get some errors. (see build.log above)

I have tried in mock too and get the same errors.

Comment 6 Tim Lauridsen 2011-02-21 11:03:08 UTC
I did the mock build using the following commands

mock --init
mock --install libst2205-devel-1.4.3-2.fc14.i686.rpm libst2205-1.4.3-2.fc14.i686.rpm 
mock --install serdisplib-devel-1.97.9-1.fc14.i686.rpm serdisplib-1.97.9-1.fc14.i686.rpm 
mock --installdeps lcd4linux-0.11-0.1.svn1143.fc15.src.rpm 
mock --copyin lcd4linux-0.11-0.1.svn1143.fc15.src.rpm /tmp
mock --shell
> cd
> rpmbuild --rebuild /tmp/lcd4linux-0.11-0.1.svn1143.fc15.src.rpm

Comment 7 Hans de Goede 2011-02-22 10:41:38 UTC
Woops, sorry about that I missed a BuildRequires on gettext-devel. Now that
the other ones have been build, I've been able through put lcd4linux through a koji scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2856877

With the missing build requires added it builds fine, but I did notice
some more (optional) BuildRequires where missing. Here is a new version with
all missing BuildRequires add (see the changelog):
Spec URL: http://people.fedoraproject.org/~jwrdegoede/lcd4linux.spec
SRPM URL:
http://people.fedoraproject.org/~jwrdegoede/lcd4linux-0.11-0.2.svn1143.fc15.src.rpm

Comment 8 Tim Lauridsen 2011-02-22 16:07:55 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2856877
[x] : MUST - Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[x] : MUST - Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).(EPEL6 & Fedora < 13)
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[!] : MUST - Rpmlint output is silent.

        rpmlint lcd4linux-0.11-0.2.svn1143.fc16.x86_64.rpm
        ================================================================================
        lcd4linux.x86_64: W: no-manual-page-for-binary lcd4X11
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint lcd4linux-0.11-0.2.svn1143.fc16.src.rpm
        ================================================================================
        lcd4linux.src:13: W: macro-in-comment %2F
        lcd4linux.src: W: invalid-url Source0: lcd4linux-trunk-1143.zip
        1 packages and 0 specfiles checked; 0 errors, 2 warnings.
        ================================================================================
        
        rpmlint lcd4linux-debuginfo-0.11-0.2.svn1143.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint lcd4linux-debuginfo-0.11-0.2.svn1143.fc16.x86_64.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint lcd4linux-0.11-0.2.svn1143.fc16.i686.rpm
        ================================================================================
        lcd4linux.i686: W: no-manual-page-for-binary lcd4X11
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[!] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : bf81e337d91f818ab80aa5f1a9e3c627
        MD5SUM upstream package : upstream source not found
        
        Ok, this is a svn snapshot
        
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec uses macros instead of hard-coded directory names.
[x] : MUST - Package consistently uses macros.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-] : MUST - The spec file handles locales properly.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License file installed when any subpackage combination is installed.
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Compiler flags are appropriate.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[-] : MUST - ldconfig called in %post and %postun if required.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package does not contain duplicates in %files.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - No %config files under /usr.
[x] : MUST - %config files are marked noreplace or the reason is justified.
[x] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[x] : MUST - Package contains a valid .desktop file.
[x] : MUST - Package contains code, or permissable content.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package contains no bundled libraries.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Package contains no static executables.
[-] : MUST - Package requires pkgconfig, if .pc files are present.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[x] : MUST - Package does not contain any libtool archives (.la).
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package is not relocatable.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Package installs properly.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[?] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[!] : SHOULD - %check is present and all tests pass.
[-] : SHOULD - Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[?] : SHOULD - Packages should try to preserve timestamps of original installed files.
[-] : SHOULD - File based requires are sane.
[!] : SHOULD - Man pages included for all executables.
      There is a man page for lcd4linux, but no one for lcd4X11, this should be ok
[?] : SHOULD - Uses parallel make.
[x] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.


No blocking issues.

APPROVED

Comment 9 Hans de Goede 2011-02-22 16:29:21 UTC
Thanks for the review!

Comment 10 Hans de Goede 2011-02-22 16:30:34 UTC
New Package SCM Request
=======================
Package Name: lcd4linux
Short Description: Display system state on an external LCD display
Owners: jwrdegoede
Branches: f13 f14 f15
InitialCC:

Comment 11 Jason Tibbitts 2011-02-22 17:14:47 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-02-23 07:49:06 UTC
lcd4linux-0.11-0.2.svn1143.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lcd4linux-0.11-0.2.svn1143.fc15

Comment 13 Fedora Update System 2011-02-23 07:58:19 UTC
lcd4linux-0.11-0.2.svn1143.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lcd4linux-0.11-0.2.svn1143.fc14

Comment 14 Fedora Update System 2011-02-23 08:00:03 UTC
lcd4linux-0.11-0.2.svn1143.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lcd4linux-0.11-0.2.svn1143.fc13

Comment 15 Fedora Update System 2011-02-23 20:28:55 UTC
lcd4linux-0.11-0.2.svn1143.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcd4linux'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lcd4linux-0.11-0.2.svn1143.fc15

Comment 16 Fedora Update System 2011-03-04 09:56:35 UTC
lcd4linux-0.11-0.2.svn1143.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-03-04 10:01:44 UTC
lcd4linux-0.11-0.2.svn1143.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-03-04 10:03:01 UTC
lcd4linux-0.11-0.2.svn1143.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.